Package org.apache.groovy.contracts.common.impl.lc

# Class PostconditionLifecycle

java.lang.Object
org.apache.groovy.contracts.common.base.BaseLifecycle
org.apache.groovy.contracts.common.impl.lc.PostconditionLifecycle

All Implemented Interfaces:
  `Lifecycle`

public class PostconditionLifecycle extends BaseLifecycle
Internal `Lifecycle` implementation for post-conditions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PostconditionLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
  Adds inherited default postconditions to the supplied constructor when needed.
  `void`
  `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
  Adds inherited default postconditions to the supplied method when needed.
  `void`
  `beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)`
  Ensures the helper method for computing `old` values exists before postconditions are injected.

  ### Methods inherited from class org.apache.groovy.contracts.common.base.BaseLifecycle

  `afterProcessingClassNode, beforeProcessingConstructorNode, beforeProcessingMethodNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PostconditionLifecycle

    public PostconditionLifecycle()

- ## Method Details

  - ### beforeProcessingClassNode

    public void beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)
    Ensures the helper method for computing `old` values exists before postconditions are injected.
    Specified by:
      `beforeProcessingClassNode` in interface `Lifecycle`
    Overrides:
      `beforeProcessingClassNode` in class `BaseLifecycle`
    Parameters:
      `processingContextInformation` - the current processing context
      `classNode` - the class being prepared

  - ### afterProcessingConstructorNode

    public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    Adds inherited default postconditions to the supplied constructor when needed.
    Specified by:
      `afterProcessingConstructorNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingConstructorNode` in class `BaseLifecycle`
    Parameters:
      `processingContextInformation` - the current processing context
      `classNode` - the declaring class
      `constructorNode` - the constructor to update

  - ### afterProcessingMethodNode

    public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    Adds inherited default postconditions to the supplied method when needed.
    Specified by:
      `afterProcessingMethodNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingMethodNode` in class `BaseLifecycle`
    Parameters:
      `processingContextInformation` - the current processing context
      `classNode` - the declaring class
      `methodNode` - the method to update